Bug 1483689 - CVE-2017-12852 python3-numpy: numpy: Missing input validation on empty list or ndarray in numpy.pad function [epel-all]
Summary: CVE-2017-12852 python3-numpy: numpy: Missing input validation on empty list o...
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python3-numpy
Version: epel7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Petr Viktorin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened, Security, SecurityTracking
Depends On:
Blocks: CVE-2017-12852
TreeView+ depends on / blocked
 
Reported: 2017-08-21 18:09 UTC by Pedro Sampaio
Modified: 2017-10-04 22:18 UTC (History)
5 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2017-10-04 21:47:37 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-08-21 18:09:48 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

Comment 1 Pedro Sampaio 2017-08-21 18:09:53 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1483686

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Petr Viktorin 2017-08-22 11:50:36 UTC
I can bakport the change from upstream or Fedora when it comes out.
Orion (or anyone), if you'd like to do it sooner, please re-take the issue.

Comment 3 Orion Poplawski 2017-08-22 15:18:05 UTC
Thanks!

Comment 4 Petr Viktorin 2017-09-04 11:21:57 UTC
Current status: A fix was merged upstream, but it wasn't entirely correct. Waiting for the next version.

Comment 5 Iryna Shcherbina 2017-09-07 11:55:14 UTC
Current status: The correct fix was already merged upstream.

However, the bug is open against epel7 component, although, according to this commit [0], the package is retired there as it is now in rhel7. So where should it be back-ported to?


[0] https://src.fedoraproject.org/rpms/numpy/c/df335cac7328a46167597706d25263ef90aee0bc?branch=epel7

Comment 6 Petr Viktorin 2017-09-07 13:09:47 UTC
Ah, didn't check if numpy is in EPEL7. This is for RHEL to handle, then.

Comment 7 Pedro Sampaio 2017-09-12 19:10:34 UTC
Ok, the package is retired in EPEL 7 then. Acknowledge. I guess there will be no more action from us except updating our tracking data.

Thanks.

Comment 8 Tomas Hoger 2017-09-12 19:49:11 UTC
(In reply to Iryna Shcherbina from comment #5)
> However, the bug is open against epel7 component, although, according to
> this commit [0], the package is retired there as it is now in rhel7. So
> where should it be back-ported to?

This bug is against EPEL-7 product, and python3-numpy component, not numpy component.  The numpy component is not in EPEL-7 because the same component is in RHEL-7 too, but there is the separate python3-numpy, apparently for use with python34 that is only in EPEL-7.  python3-numpy is not retired, afaics.

http://pkgs.fedoraproject.org/cgit/rpms/python3-numpy.git/log/?h=epel7

Comment 9 Iryna Shcherbina 2017-09-13 11:29:56 UTC
(In reply to Tomas Hoger from comment #8)

> This bug is against EPEL-7 product, and python3-numpy component, not numpy
> component.

Thanks for clarifying it for me. The patch is available in in the following PR:
https://src.fedoraproject.org/rpms/python3-numpy/pull-request/1

Comment 10 Fedora Update System 2017-09-19 15:17:03 UTC
python3-numpy-1.10.4-6.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e50abdd3d5

Comment 11 Fedora Update System 2017-09-19 15:21:38 UTC
python3-numpy-1.10.4-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2795d59fcc

Comment 12 Fedora Update System 2017-09-19 23:47:39 UTC
python3-numpy-1.10.4-6.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-e50abdd3d5

Comment 13 Fedora Update System 2017-09-19 23:49:58 UTC
python3-numpy-1.10.4-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-2795d59fcc

Comment 14 Fedora Update System 2017-10-04 21:47:37 UTC
python3-numpy-1.10.4-6.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-10-04 22:18:45 UTC
python3-numpy-1.10.4-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.